Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.matching.impl
Class SerialBlockPicker

    java.lang.Object
      com.sun.mdm.index.matching.impl.SerialBlockPicker

All Implemented Interfaces:
  BlockPicker

public class SerialBlockPicker
extends java.lang.Object
implements BlockPicker

A user extensible component to pick the next block definition to use for the next matching pass. This simple implementation just sequentially picks the next block definition from the remaining block IDs list.

Constructor Summary
`SerialBlockPicker()` Creates new SerialBlockPicker

Method Summary
`java.lang.String[]` | `pickBlock(SystemObject inObject, EOSearchOptions searchOptions, java.util.ArrayList previousBlockIDs, java.util.ArrayList remainingBlockIDs)` Picks the next block, serially in the order defined by the user.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SerialBlockPicker

    public SerialBlockPicker()

  Creates new SerialBlockPicker

Method Detail

### pickBlock

    public java.lang.String[] pickBlock(SystemObject inObject,
                                        EOSearchOptions searchOptions,
                                        java.util.ArrayList previousBlockIDs,
                                        java.util.ArrayList remainingBlockIDs)
                                 throws NoBlockApplicableException

  Picks the next block, serially in the order defined by the user. Only picks one block per pass.

  Specified by:
    `pickBlock` in interface `BlockPicker`
  Parameters:
    `inObject` - the SystemObject to match
    `searchOptions` - the options used for the search. From this it is possible to tell whether it is a weighted search or a normal match.
    `previousBlockIDs` - the list of block IDs that have already been used in previous match passes for matching this SystemObject
    `remainingBlockIDs` - a list of remaining block IDs that have not yet been used in previous match passes for matching this SystemObject
  Returns:
    the blockID to use for the next match pass
  Throws:
    `NoBlockApplicableException` - if no block IDs remain that are applicable This signals the MatchEngineController that matching for this SystemObject is complete

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.